#ifndef CLOGICALPORT2VERTLEAVE_H
#define CLOGICALPORT2VERTLEAVE_H

#include "CPart.h"

class CLogicalPortVertLeave : public CPart
{
    private:
        bool PValue;
        bool PPassed;
    public:
        CLogicalPortVertLeave (int X,int Y,int W,int H,SDL_Surface *Surface) : CPart (X,Y,W,H,Surface)
        {
            PId = DLOGICALPORTVERTLEAVEID;
            PValue = true;
            PPassed = false;
        }
        inline void SetPassed(bool Passed){PPassed = Passed;}
        inline bool GetPassed(){return PPassed;}
        inline void SetValue(bool Value){PValue = Value;}
        inline bool GetValue(){return PValue;}
        ~CLogicalPortVertLeave(){}

};
#endif

