#ifndef CWAYPOINT2_H
#define CWAYPOINT2_H

#include "CWayPoint.h"

class CWayPoint2 : public CWayPoint
{
    public:
        CWayPoint2 (int X,int Y,int W,int H,SDL_Surface *Surface) : CWayPoint (X,Y,W,H,Surface)
        {
            PId = DWAYPOINT2ID;
            PVisible = false;
        }
        void Draw(SDL_Surface*Dst)
        {
            if(PVisible)
            {
                if(!PScanned)
                    rectangleRGBA(Dst,PLocation.x,PLocation.y,PLocation.x + PLocation.w-1,PLocation.y+PLocation.h-1,255,0,255,255);
                else
                    rectangleRGBA(Dst,PLocation.x,PLocation.y,PLocation.x + PLocation.w-1,PLocation.y+PLocation.h-1,128,128,128,255);
            }
        }
        ~CWayPoint2(){}

};
#endif
